Class Index | File Index

## Classes

- _global_
- SIPml
- SIPml.Event
- SIPml.EventTarget
- SIPml.Session
- SIPml.Session.Call
- SIPml.Session.Configuration
- SIPml.Session.Event
- SIPml.Session.Message
- SIPml.Session.Publish
- SIPml.Session.Registration
- SIPml.Session.Subscribe
- SIPml.Stack
- SIPml.Stack.Configuration
- SIPml.Stack.Event

# Class SIPml.Session

Extends SIPml.EventTarget.
Defined in: SIPml.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SIPml.Session(session, configuration) Base (abstract) SIP session.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| accept(configuration) Accepts an incoming SIP MESSAGE (SMS-like) or audio/video call.
| getId() Gets the session unique identifier.
| getRemoteFriendlyName() Gets the remote party friendly name (e.g.
| getRemoteUri() Gets the remote party SIP Uri (e.g.
| reject(configuration) Rejects an incoming SIP MESSAGE (SMS-like) or audio/video call.
| setConfiguration(configuration) Updates or sets the session configuration.

Methods borrowed from class SIPml.EventTarget:
  addEventListener, removeEventListener

Class Detail
SIPml.Session(session, configuration)
Base (abstract) SIP session. You should never create an instance of this class by yourself. You have to use newSession() to create a new instance. This is a base class for SIPml.Session.Registration, SIPml.Session.Call and SIPml.Session.Message.

Parameters:
{tsip_session_t} session
  Private wrapped session object.
{SIPml.Session.Configuration} configuration Optional
  Optional configuration object.

Throws:
{ERR_INVALID_PARAMETER_VALUE|ERR_INVALID_PARAMETER_TYPE}
  ERR_INVALID_PARAMETER_VALUE | ERR_INVALID_PARAMETER_TYPE

Method Detail
{Integer} accept(configuration)
Accepts an incoming SIP MESSAGE (SMS-like) or audio/video call.

Parameters:
{SIPml.Session.Configuration} configuration Optional
  Configuration value.

Throws:
{ERR_NOT_READY}
  ERR_NOT_READY

Returns:
  {Integer} 0 if successful; otherwise nonzero

{Integer} getId()
Gets the session unique identifier.

Returns:
  {Integer} Read-only session unique identifier.

{String} getRemoteFriendlyName()
Gets the remote party friendly name (e.g. 'John Doe').

Returns:
  {String} The remote party friendly name.

See:
  getRemoteUri

{String} getRemoteUri()
Gets the remote party SIP Uri (e.g. sip:john.doe@example.com). This Uri could be used a match an incoming call to a contact from your address book.

Returns:
  {String} The remote party SIP Uri.

See:
  getRemoteFriendlyName

{Integer} reject(configuration)
Rejects an incoming SIP MESSAGE (SMS-like) or audio/video call.

Parameters:
{SIPml.Session.Configuration} configuration Optional
  Configuration value.

Throws:
{ERR_NOT_READY}
  ERR_NOT_READY

Returns:
  {Integer} 0 if successful; otherwise nonzero

setConfiguration(configuration)
Updates or sets the session configuration.

Parameters:
{SIPml.Session.Configuration} configuration

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Sep 25 2013 03:40:14 GMT+0200 (CEST)